<%inherit file="/basedb/basetab" />

<h3 style="color:red">*Note: this new project proposal system is not yet activated.</h3>

<h1>NCMI Collaborative/Service Project Proposal</h1>

<p>
	This page will allow you to propose a research project to be performed at the NCMI.
</p>

<p>
	The NCMI is equipped with four state of the art intermediate voltage electron cryomicroscopes, sample vitrification robots and a wide range of computational resources all devoted towards our mission of advancing the technology of electron cryomicroscopy and applying this technology to problems of biological significance. Our project spans a wide range of topics from macromolecular structural biology, nanobiology, virology, microbiology and cell biology. We have a variety of techniques for examining specimens ranging in size from 10 nm to a micron with resolutions in some cases at subnanometer details. Available techniques include single particle reconstruction, tomography, helical reconstruction and 2-D crystallography. We are involved in work ranging from heavily collaborative projects to strictly service projects. For a collaborative project, our center staff devote significant amounts of effort in carrying out or assisting the projects at one or more phases in the project pipeline from specimen preparation to structural interpretation. For service projects, the users make use of our experimental facility or software with minimum assistance beyond initial training from our staff. Center staff are generally co-authors in the publications in collaborative projects whereas co-authorship is not obligatory for service projects. In either case, NCRR support (grant number P41RR02250) must be acknowledged in any publication using the NCMI facility.
</p>

<p>
	If you have a proposal you think would be appropriate for the NCMI, please submit detailed information on the form below. Once submitted, your proposal will be evaluated by the NCMI director and co-directors, and in some cases outside consultants. We will contact you within two weeks with information on how we can proceed. If the project appears promising we typically begin with an initial set of experiments to assess feasibility.
</p>

<p>
	Before filling out the form, please note some basic requirements.
</p>

<p>
	For single particle reconstruction:
	<ul>
		<li>For proteins, objects to be imaged should generally be >100-200 kDa. There may be some exceptions. For small ligands, the important mass is the total mass of the substrate/ligand system.</li>
		<li>For DNA/RNA much smaller sizes can be imaged</li>
		<li>Purity should be very high, certainly >95%, perhaps higher depending on the nature of the contaminant.</li>
		<li>Total specimen volume is fairly small. Sample concentration is at ~0.1-1 mg/ml. Plan at least 50 microliters for an initial experiment.</li>
		<li>Certain common buffer consitutents have an adverse effect on image contrast. Specifically, glycerol must be avoided if at all possible. Sucrose also reduces contrast, but is preferable to glycerol. Buffers/solvents containing large molecules may produce a strong 'noise' background in the image making analysis difficult. The best situation is a fairly simple buffer. However, fairly high salt concentrations (~0.5M) can be tolerated.</li>
		<li>Detergent solubilization is acceptable, but concentrations must be kept below or not much above CMC, or detergent vesicles will obscure the specimen. Certain detergents may also be precluded.</li>
	</ul>
</p>

<p>
	For tomography:
	<ul>
		<li>Please discuss with the director before making a proposal</li>
	</ul>
</p>

<h2>Submit a New Proposal</h2>

<p>
	The proposal requires the following information:

	<ul>
		<li>Principle Investigator's (your own) information</li>
		<li>Project Description: Please state the specific goals of the project. Include as much information about the specimen as possible. For single particle work, address all of the points above. Please also include a few citations for the most relevant literature.</li>
		<li>4 page NIH format CV (<a href="http://grants1.nih.gov/grants/funding/phs398/phs398.html">see here</a>)</li>
	</ul>
</p>

<p>
	First, request a <a href="${EMEN2WEBROOT}/users/new/">new user account</a> to begin the proposal process. Please enter all contact information.
</p>

<p>
	You may then <a href="${EMEN2WEBROOT}/proposals/new/">begin a new proposal</a>. Your proposal can be saved at any time.
</p>

<p>
	You may also <a href="${EMEN2WEBROOT}/proposals/edit/">View or Edit existing proposals</a>
</p>

<p>
	If you do not receive a reply within two weeks, please contact the director, wah@bcm.edu.
</p>